TKN-HUB-GET-TASK(1)

NAME

tkn-hub-get-task - Get Task by name, catalog and version

SYNOPSIS

tkn hub get task

DESCRIPTION

Get Task by name, catalog and version

OPTIONS

--as-clustertask[=false]
    Get the Task as ClusterTask

-h, --help[=false]
    help for task

OPTIONS INHERITED FROM PARENT COMMANDS

--api-server=""
    Hub API Server URL (default ' ⟨https://api.hub.tekton.dev'⟩). URL can also be defined in a file '$HOME/.tekton/hub-config' with a variable 'HUB_API_SERVER'.

--from=""
    Name of Catalog to which resource belongs to.

--version=""
    Version of Resource

EXAMPLE

Get a Task of name 'foo':

    tkn hub get task foo

or

Get a Task of name 'foo' of version '0.3':

    tkn hub get task foo --version 0.3

SEE ALSO

tkn-hub-get(1)